qualifiedmassspectrum.h File Reference
`#include <memory>`
`#include "../exportinmportconfig.h"`
`#include "../types.h"`
`#include "massspectrum.h"`
`#include "massspectrumid.h"`

Go to the source code of this file.

## Classes

struct | pappso::PrecursorIonData
class | pappso::QualifiedMassSpectrum
| Class representing a fully specified mass spectrum. More...

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< QualifiedMassSpectrum > | pappso::QualifiedMassSpectrumSPtr
typedef std::shared_ptr< const QualifiedMassSpectrum > | pappso::QualifiedMassSpectrumCstSPtr

## Enumerations

enum class | pappso::QualifiedMassSpectrumParameter { pappso::OneOverK0 , pappso::OneOverK0begin , pappso::OneOverK0end , pappso::IsolationMz , pappso::IsolationWidth , pappso::CollisionEnergy , pappso::BrukerPrecursorIndex , pappso::last }